%global _empty_manifest_terminate_build 0
Name:           python-heatclient
Version:        2.3.0
Release:        3
Summary:        OpenStack Orchestration API Client Library
License:        Apache-2.0
URL:            https://docs.openstack.org/python-heatclient/latest
Source0:        https://files.pythonhosted.org/packages/21/3e/9b8291832fa40bb39d46e13a8327705460ab3fb25c46c950f0fafec9ceaf/python-heatclient-2.3.0.tar.gz
BuildArch:      noarch
%description
This is a client library for Heat built on the Heat orchestration API. It provides a Python API (the heatclient
module) and a command-line tool (heat).

%package -n python3-heatclient
Summary:        OpenStack Orchestration API Client Library
Provides:       python-heatclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-babel
BuildRequires:  python3-prettytable
BuildRequires:  python3-pyyaml
BuildRequires:  python3-cliff
BuildRequires:  python3-iso8601
BuildRequires:  python3-keystoneauth1
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-i18n
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
BuildRequires:  python3-swiftclient
BuildRequires:  python3-requests
BuildRequires:  python3-six
# General requires
Requires:       python3-babel
Requires:       python3-prettytable
Requires:       python3-pyyaml
Requires:       python3-cliff
Requires:       python3-iso8601
Requires:       python3-keystoneauth1
Requires:       python3-osc-lib
Requires:       python3-oslo-i18n
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
Requires:       python3-swiftclient
Requires:       python3-requests
Requires:       python3-six
%description -n python3-heatclient
This is a client library for Heat built on the Heat orchestration API. It provides a Python API (the heatclient
module) and a command-line tool (heat).

%package help
Summary:        OpenStack Orchestration API Client Library
Provides:       python3-heatclient-doc
%description help
This is a client library for Heat built on the Heat orchestration API. It provides a Python API (the heatclient
module) and a command-line tool (heat).

%prep
%autosetup -n python-heatclient-2.3.0 -p1

%build
%py3_build


%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
#%{__python3} setup.py test

%files -n python3-heatclient -f filelist.lst
%dir %{python3_sitelib}/*


%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 2.3.0-3
- Fix install error

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.3.0-2
- DESC: delete -S git from %autosetup

* Tue Jul 13 2021 OpenStack_SIG <openstack@openeuler.org> - 2.3.0-1
- Update to 2.3.0
* Tue Feb 23 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
